Package fr.gouv.vitam.worker.core.handler

# Class AbstractAccessionRegisterAction

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.handler.AbstractAccessionRegisterAction

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

Direct Known Subclasses:
  `IngestAccessionRegisterActionHandler`, `PreservationAccessionRegisterActionHandler`

public abstract class AbstractAccessionRegisterAction extends ActionHandler implements VitamAutoCloseable
Accession Register Handler

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `AbstractAccessionRegisterAction.AccessionRegisterInfo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractAccessionRegisterAction()`
  `AbstractAccessionRegisterAction(MetaDataClientFactory metaDataClientFactory, AdminManagementClientFactory adminManagementClientFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkMandatoryIOParameter(HandlerIO handler)`
  Check mandatory parameter
  `void`
  `close()`
  `ItemStatus`
  `execute(WorkerParameters params, HandlerIO handler)`
  Execute an action
  `protected abstract String`
  `getHandlerId()`
  `protected abstract LogbookTypeProcess`
  `getOperationType()`
  `protected abstract void`
  `prepareAccessionRegisterInformation(WorkerParameters params, HandlerIO handler, AbstractAccessionRegisterAction.AccessionRegisterInfo accessionRegisterInfo)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractAccessionRegisterAction

    public AbstractAccessionRegisterAction()

  - ### AbstractAccessionRegisterAction

    public AbstractAccessionRegisterAction(MetaDataClientFactory metaDataClientFactory, AdminManagementClientFactory adminManagementClientFactory)

- ## Method Details

  - ### execute

    public ItemStatus execute(WorkerParameters params, HandlerIO handler)
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `params` - `WorkerParameters`
      `handler` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code

  - ### getHandlerId

    protected abstract String getHandlerId()

  - ### prepareAccessionRegisterInformation

    protected abstract void prepareAccessionRegisterInformation(WorkerParameters params, HandlerIO handler, AbstractAccessionRegisterAction.AccessionRegisterInfo accessionRegisterInfo) throws ProcessingException, InvalidParseOperationException
    Throws:
      `ProcessingException`
      `InvalidParseOperationException`

  - ### getOperationType

    protected abstract LogbookTypeProcess getOperationType()

  - ### checkMandatoryIOParameter

    public void checkMandatoryIOParameter(HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Check mandatory parameter
    Overrides:
      `checkMandatoryIOParameter` in class `ActionHandler`
    Parameters:
      `handler` - input output list
    Throws:
      `ProcessingException` - when handler io is not complete

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `VitamAutoCloseable`
    Overrides:
      `close` in class `ActionHandler`